#ifndef E_MOD_CONFIG_H
#define E_MOD_CONFIG_H

#include "e_mod_main.h"

struct _Config
{
   /* Translucency options */
   unsigned char trans_border_only;     /* Make only the border */
   unsigned char trans_active_enable;   /* Enable for focused windows */
   int trans_active_value;
   unsigned char trans_inactive_enable; /* Enable for unfocused windows */
   int trans_inactive_value;
   unsigned char trans_moving_enable;   /* Enable for moving windows */
   int trans_moving_value;
   unsigned char trans_on_top_is_active;/* Apply active setting to on-top windows */
   
   /* Drop shadow options */
   unsigned char shadow_enable;         /* Enable drop shadows */
   unsigned char shadow_dock_enable;    /* For 'dock' windows */
   int shadow_active_size;              /* For focused windows */
   int shadow_inactive_size;            /* For unfocused windows */
   double shadow_opacity;
   int shadow_vert_offset;
   int shadow_horz_offset;
   unsigned char shadow_hide_on_move;
   unsigned char shadow_hide_on_resize;

   /* FX */
   unsigned char fx_fade_enable;     /* Fade windows */
   unsigned char fx_fade_opacity_enable;/* Fade between opacity changes */
   double fx_fade_delta;
   double fx_fade_in_step;
   double fx_fade_out_step;
};

EAPI E_Config_Dialog * e_int_config_bang_module(E_Container *con, const char *params __UNUSED__);

#endif

